/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin;

import java.util.Locale;

import javax.swing.JFrame;
import javax.swing.WindowConstants;

import com.kiwisoft.utils.Utils;
import com.kiwisoft.utils.gui.IconManager;
import com.kiwisoft.db.DatabaseManager;
import com.kiwisoft.db.Database;
import com.kiwisoft.db.driver.MySQLDriver;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:54:14 $
 */
public class Main
{
	private Main()
	{
	}

	public static void main(String[] args)
	{
		Locale.setDefault(Locale.ENGLISH);
		Utils.setDialogWrapper(false);
//		SQLPluginAppConfig.getInstance().setDriversPath("C:\\java\\projects\\plugins\\sql\\lib");

		DatabaseManager databaseManager=DatabaseManager.getInstance(null);

		Database database=new Database("Test");
		database.setDriver("jdbc:mysql");
		database.setProperty(MySQLDriver.HOST, "localhost");
		database.setProperty(MySQLDriver.PORT, new Integer(3306));
		database.setProperty(MySQLDriver.DATABASE, "test");
		database.setProperty(MySQLDriver.USER, "mysql");
		database.setProperty(MySQLDriver.AUTO_COMMIT, Boolean.FALSE);
		databaseManager.addDatabase(database);

		databaseManager.setCurrentDatabase(database);

		JFrame frame=new JFrame("SQL");
		frame.getContentPane().add(SQLPluginPanel.getInstance(null, true));
		frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
		frame.setIconImage(IconManager.getIcon(SQLPluginPanel.class.getClassLoader(), IconNames.APPLICATION).getImage());

		frame.setSize(800, 400);
		frame.setVisible(true);
	}
}
