/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import java.awt.event.ActionEvent;
import java.net.URL;
import javax.help.CSH;
import javax.help.HelpBroker;
import javax.help.HelpSet;
import javax.help.HelpSetException;
import javax.swing.AbstractAction;
import javax.swing.Action;

import com.kiwisoft.sqlPlugin.IconNames;
import com.kiwisoft.utils.gui.IconManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:52:18 $
 */
public class HelpAction extends AbstractAction
{
	private static CSH.DisplayHelpFromSource displayHelpFromSource;

	public HelpAction()
	{
		super("Help", IconManager.getIcon(HelpAction.class.getClassLoader(), IconNames.HELP));
		putValue(Action.SHORT_DESCRIPTION, "Help about using the plugin");
		if (displayHelpFromSource==null)
		{
			try
			{
				URL hsURL=HelpSet.findHelpSet(HelpAction.class.getClassLoader(), "SQLPlugin/help.hs");
				HelpSet helpSet=new HelpSet(null, hsURL);
				HelpBroker helpBroker=helpSet.createHelpBroker();
				displayHelpFromSource=new CSH.DisplayHelpFromSource(helpBroker);
			}
			catch (HelpSetException e)
			{
				e.printStackTrace();
				setEnabled(false);
			}
		}
	}

	public void actionPerformed(ActionEvent e)
	{
		if (displayHelpFromSource!=null) displayHelpFromSource.actionPerformed(e);
	}
}
