/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;

import com.intellij.openapi.project.Project;

import com.kiwisoft.utils.gui.IconManager;
import com.kiwisoft.utils.Utils;
import com.kiwisoft.sqlPlugin.settings.GlobalSettingsDialogStub;
import com.kiwisoft.sqlPlugin.IconNames;
import com.kiwisoft.sqlPlugin.settings.GlobalSettingsDialogStub;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:52:18 $
 */
public class PropertiesAction extends AbstractAction
{
	private Project project;

	public PropertiesAction(Project project)
	{
		super(null, IconManager.getIcon(PropertiesAction.class.getClassLoader(), IconNames.CONFIGURATION));
		this.project=project;
		putValue(Action.SHORT_DESCRIPTION, "Change the Plugin Settings.");
	}

	public void actionPerformed(ActionEvent e)
	{
		Utils.wrapDialog(project, new GlobalSettingsDialogStub(project), false, true);
	}
}
