/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.gui.table;

import java.awt.Color;
import java.awt.Component;
import javax.swing.DefaultCellEditor;
import javax.swing.JCheckBox;
import javax.swing.JTable;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.3 $, $Date: 2005/08/10 18:55:28 $
 */
public class BooleanObjectEditor extends DefaultCellEditor implements ObjectEditor
{
	public BooleanObjectEditor()
	{
		super(new JCheckBox());
		((JCheckBox)getComponent()).setHorizontalAlignment(JCheckBox.CENTER);
	}

	private Color unselectedForeground;
	private Color unselectedBackground;

	public ObjectEditor cloneEditor()
	{
		return new BooleanObjectEditor();
	}

	public void setForeground(Color foreground)
	{
		getComponent().setForeground(foreground);
		unselectedForeground=foreground;
	}

	public void setBackground(Color background)
	{
		getComponent().setBackground(background);
		unselectedBackground=background;
	}

	public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)
	{
		JCheckBox checkBox=(JCheckBox)getComponent();
		if (isSelected)
		{
			checkBox.setForeground(table.getSelectionForeground());
			checkBox.setBackground(table.getSelectionBackground());
		}
		else
		{
			checkBox.setForeground((unselectedForeground != null) ? unselectedForeground : table.getForeground());
			checkBox.setBackground((unselectedBackground != null) ? unselectedBackground : table.getBackground());
		}
		return super.getTableCellEditorComponent(table, value, isSelected, row, column);
	}
}
