/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.idea;

import javax.swing.Action;
import javax.swing.JComponent;

import com.intellij.openapi.project.Project;
import com.intellij.openapi.ui.DialogWrapper;
import com.kiwisoft.utils.idea.DialogStub;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:56:00 $
 */
public class IdeaDialogWrapper extends DialogWrapper implements com.kiwisoft.utils.idea.DialogWrapper
{
    private DialogStub dialogStub;

    public IdeaDialogWrapper(Project project, DialogStub dialogStub, boolean modal)
    {
        super(project, true);
        setModal(modal);
        this.dialogStub=dialogStub;
        dialogStub.setDialogWrapper(this);
        setTitle(dialogStub.getTitle());
        init();
    }

    protected JComponent createCenterPanel()
    {
        return dialogStub.getContentPanel();
    }

    protected Action[] createActions()
    {
        return dialogStub.getActions();
    }

	public JComponent getPreferredFocusedComponent()
	{
		return dialogStub.getPreferredFocusedComponent();
	}

	public void dispose()
    {
        dialogStub.dispose();
        super.dispose();
    }
}
